Subject: Re: linux-next: i2c tree build failure

From: Jean Delvare <[email-masked]>
Date: Mon, 31 Aug 2009 12:04:49 +0200

Hi Stephen,

On Mon, 31 Aug 2009 11:19:35 +1000, Stephen Rothwell wrote:
> Hi Jean,
> 
> Today's linux-next build (powerpc ppc64_defconfig) failed like this:
> 
> drivers/i2c/i2c-core.c:234: warning: initialization from incompatible pointer type
> drivers/i2c/i2c-core.c:537: warning: initialization from incompatible pointer type
> drivers/i2c/i2c-core.c: In function 'i2c_register_adapter':
> drivers/i2c/i2c-core.c:603: error: implicit declaration of function 'class_compat_create_link'
> drivers/i2c/i2c-core.c: In function 'i2c_del_adapter':
> drivers/i2c/i2c-core.c:789: error: implicit declaration of function 'class_compat_remove_link'
> drivers/i2c/i2c-core.c: In function 'i2c_init':
> drivers/i2c/i2c-core.c:999: error: implicit declaration of function 'class_compat_register'
> drivers/i2c/i2c-core.c:999: warning: assignment makes pointer from integer without a cast
> drivers/i2c/i2c-core.c:1012: error: implicit declaration of function 'class_compat_unregister'
> 
> I have used the i2c tree from next-20090828 for today.

These are caused by the fact that I moved the patch adding
class_compat_create_link() and friends out of the NEXT_PATCHES section.
I did so because Greg KH (Cc'd) added this patch to his driver-core
patch set, which I thought was part of linux-next. I simply didn't want
to apply the same patch twice.

To clarify the dependency, I added the following to my series.conf:

# NEXT_BASE driver-core.current

but apparently it didn't work as intended.

Greg, please clarify whether the patch in question
(driver-core-add-support-for-compatibility-classes.patch) is pushed to
linux-next or not.

Stephen, if my dependency tag is not correct, please tell me how to fix
it.

Thanks, and sorry for the trouble.

-- 
Jean Delvare